ServerEvents.recipes(GregTechApocalypse => {
  GregTechApocalypse.remove({ id: 'productivebees:upgrades/base' })
  GregTechApocalypse.shaped('productivebees:upgrade_base', ['ABA', 'BCB', 'ADA'], {
    A: 'gtceu:treated_wood_plate',
    B: 'gtceu:flawless_emerald_gem',
    C: 'productivebees:honey_treat',
    D: 'gtceu:diamond_lens'
  })
  GregTechApocalypse.remove({ id: 'productivebees:upgrades/simulator' })
  GregTechApocalypse.shaped('productivebees:upgrade_simulator', ['ADA', 'BCB', 'ABA'], {
    A: '#forge:storage_blocks/honeycombs',
    B: 'minecraft:blaze_rod',
    C: 'productivebees:upgrade_anti_teleport',
    D: 'createteleporters:advanced_part'
  })
  
  GregTechApocalypse.remove({ id: 'productivebees:bee_cage' })
  GregTechApocalypse.remove({ id: 'productivebees:bee_cage_block' })
  GregTechApocalypse.shaped('productivebees:bee_cage', ['ABA'], {
    A: 'gtceu:treated_wood_plate',
    B: 'productivebees:honey_treat'
  })

  GregTechApocalypse.remove({ id: 'productivebees:centrifuge' })
  GregTechApocalypse.shaped('productivebees:centrifuge', ['ACA', 'ABA', 'AAA'], {
    A: 'gtceu:iron_plate',
    B: 'minecraft:grindstone',
    C: '#gtceu:tools/crafting_hammers'
  })
  GregTechApocalypse.remove({ id: 'productivebees:powered_centrifuge/vanilla' })
  GregTechApocalypse.shapeless('productivebees:powered_centrifuge', ['productivebees:centrifuge', 'gtceu:energy_detector_cover'])

  GregTechApocalypse.remove({ id: 'productivebees:heated_centrifuge' })
  GregTechApocalypse.shapeless('productivebees:heated_centrifuge', ['productivebees:powered_centrifuge', 'gtceu:advanced_energy_detector_cover'])
})